Skip to main content
DELETE
/
api
/
wallet
/
{id}
Delete a wallet token
curl --request DELETE \
  --url https://{cluster_id}.on-hellgate.cloud/api/wallet/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://{cluster_id}.on-hellgate.cloud/api/wallet/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://{cluster_id}.on-hellgate.cloud/api/wallet/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "0d5c1774-5f3f-4a2f-9c86-1f30a0ea9be2",
  "kind": "google_pay_pan_only",
  "ingestion_path": "google_pay",
  "scheme": "visa",
  "auth_method": "PAN_ONLY",
  "requires_3ds": true,
  "promoted_to": null,
  "card": {
    "scheme": "visa",
    "last4": "4242",
    "expiry_month": 12,
    "expiry_year": 2028
  },
  "created_at": "2026-06-29T12:00:00Z",
  "deleted_at": null
}
{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}
{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}
{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the wallet token to delete.

Response

Success response

id
string<uuid>
required
kind
string
required

The specific credential kind, e.g. google_pay_pan_only or google_pay_cryptogram_3ds.

Example:

"google_pay_pan_only"

ingestion_path
string
required

The wallet the token was ingested from.

Example:

"google_pay"

scheme
enum<string>
required
Available options:
visa,
mastercard,
american express,
discover,
diners club,
jcb,
unionpay
card
object
required
created_at
string<date-time>
required
auth_method
enum<string>

The authentication method of the Google Pay credential. Determines which placeholders are available when forwarding and whether the token can be promoted.

Available options:
PAN_ONLY,
CRYPTOGRAM_3DS
requires_3ds
boolean

Whether the payment still requires 3-D Secure authentication on your side.

promoted_to
string<uuid>

The ID of the network token this wallet token was promoted to. null until the token is promoted.

deleted_at
string<date-time>

Set when the token has been deleted and its card data scrubbed.